lobo-class {oce} | R Documentation

## Class to store LOBO data

### Description

Class to store LOBO data, with standard slots `metadata`, `data` and `processingLog`.

### Methods

Data may be accessed as e.g. `pt[["time"]]`, where the string could also be `"pressure"` or `"temperature"`. Items in `metadata` must be specifield by full name, but those in `data` may be abbreviated, so long as the abbreviation is unique. Assignment to these can be made with e.g. `pt[["pressure"]] <- value`, etc. Indeed, any quantity in the `metadata` slot or the `data` slot can be retrieved or updated in this way.

### Author(s)

Dan Kelley

### See Also

A `lobo` object may be read with `read.lobo` or created with `as.lobo`. Plots can be made with `plot.lobo`, while `summary.lobo` produces statistical summaries and `show` produces overviews.

[Package oce version 0.9-18 Index]